%define api_version 2.0
%define major 0
%define libname %mklibname gnet-%{api_version}_ %{major}
%define develname %mklibname gnet-%{api_version} -d

Summary:	A network library
Name:		gnet2
Version:	2.0.8
Release:	11
Group:		System/Libraries
License:	LGPL
URL:		http://www.gnetlibrary.org
Source0:	gnet-%{version}.tar.bz2
Patch0:		gnet-2.0.8-examples.patch
BuildRequires:	pkgconfig(glib-2.0)

%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

%package -n	%{libname}
Summary:	Libgnet, a network library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

%package -n	%{develname}
Summary:	Header files for the Gnet library
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgnet-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.
This package allows you to develop applications that use the Gnet
library.

%prep
%setup -q -n gnet-%{version}
%patch0 -p1
chmod 755 doc/html

%build
autoreconf -fi
export CFLAGS="%{optflags} -fPIC"
%configure2_5x --disable-static

%make

%install
%makeinstall_std

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/libgnet%{api_version}-dev
rm -fr %{buildroot}%{_datadir}/gtk-doc/

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING doc/html
%{_includedir}/gnet-2.0
%{_datadir}/aclocal/*
%{_libdir}/gnet-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.0.8-11
+ Revision: f828119
- MassBuild#440: Increase release tag


